using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Web.Compilation; // ajouté

namespace APP_GSB_REST
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {

        }

        protected void Session_Start(object sender, EventArgs e)
        {

        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            if (Request.RawUrl.ToLower().Contains("wcfdataservicegsb.svc"))
            {
                string valUsername = AppSettingsExpressionBuilder.GetAppSetting("username").ToString();
                string valPassword = AppSettingsExpressionBuilder.GetAppSetting("password").ToString();
                string userEnTete = Request.Headers["username"];
                string mdpEnTete = Request.Headers["password"];
                if (!(userEnTete == valUsername && mdpEnTete == valPassword))
                {
                    Server.Transfer("default.aspx");
                }

            }
        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {
            Server.Transfer("default.aspx");
        }

        protected void Session_End(object sender, EventArgs e)
        {
          
        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}